export { AccessSourceArgs } from "./accessSource";
export type AccessSource = import("./accessSource").AccessSource;
export declare const AccessSource: typeof import("./accessSource").AccessSource;
export { AccessTokenArgs } from "./accessToken";
export type AccessToken = import("./accessToken").AccessToken;
export declare const AccessToken: typeof import("./accessToken").AccessToken;
export { DnsViewArgs } from "./dnsView";
export type DnsView = import("./dnsView").DnsView;
export declare const DnsView: typeof import("./dnsView").DnsView;
export { FirewallDomainListArgs } from "./firewallDomainList";
export type FirewallDomainList = import("./firewallDomainList").FirewallDomainList;
export declare const FirewallDomainList: typeof import("./firewallDomainList").FirewallDomainList;
export { FirewallRuleArgs } from "./firewallRule";
export type FirewallRule = import("./firewallRule").FirewallRule;
export declare const FirewallRule: typeof import("./firewallRule").FirewallRule;
export { GetAccessSourceArgs, GetAccessSourceResult, GetAccessSourceOutputArgs } from "./getAccessSource";
export declare const getAccessSource: typeof import("./getAccessSource").getAccessSource;
export declare const getAccessSourceOutput: typeof import("./getAccessSource").getAccessSourceOutput;
export { GetAccessTokenArgs, GetAccessTokenResult, GetAccessTokenOutputArgs } from "./getAccessToken";
export declare const getAccessToken: typeof import("./getAccessToken").getAccessToken;
export declare const getAccessTokenOutput: typeof import("./getAccessToken").getAccessTokenOutput;
export { GetDnsViewArgs, GetDnsViewResult, GetDnsViewOutputArgs } from "./getDnsView";
export declare const getDnsView: typeof import("./getDnsView").getDnsView;
export declare const getDnsViewOutput: typeof import("./getDnsView").getDnsViewOutput;
export { GetFirewallDomainListArgs, GetFirewallDomainListResult, GetFirewallDomainListOutputArgs } from "./getFirewallDomainList";
export declare const getFirewallDomainList: typeof import("./getFirewallDomainList").getFirewallDomainList;
export declare const getFirewallDomainListOutput: typeof import("./getFirewallDomainList").getFirewallDomainListOutput;
export { GetFirewallRuleArgs, GetFirewallRuleResult, GetFirewallRuleOutputArgs } from "./getFirewallRule";
export declare const getFirewallRule: typeof import("./getFirewallRule").getFirewallRule;
export declare const getFirewallRuleOutput: typeof import("./getFirewallRule").getFirewallRuleOutput;
export { GetGlobalResolverArgs, GetGlobalResolverResult, GetGlobalResolverOutputArgs } from "./getGlobalResolver";
export declare const getGlobalResolver: typeof import("./getGlobalResolver").getGlobalResolver;
export declare const getGlobalResolverOutput: typeof import("./getGlobalResolver").getGlobalResolverOutput;
export { GetHostedZoneAssociationArgs, GetHostedZoneAssociationResult, GetHostedZoneAssociationOutputArgs } from "./getHostedZoneAssociation";
export declare const getHostedZoneAssociation: typeof import("./getHostedZoneAssociation").getHostedZoneAssociation;
export declare const getHostedZoneAssociationOutput: typeof import("./getHostedZoneAssociation").getHostedZoneAssociationOutput;
export { GlobalResolverArgs } from "./globalResolver";
export type GlobalResolver = import("./globalResolver").GlobalResolver;
export declare const GlobalResolver: typeof import("./globalResolver").GlobalResolver;
export { HostedZoneAssociationArgs } from "./hostedZoneAssociation";
export type HostedZoneAssociation = import("./hostedZoneAssociation").HostedZoneAssociation;
export declare const HostedZoneAssociation: typeof import("./hostedZoneAssociation").HostedZoneAssociation;
export * from "../types/enums/route53globalresolver";
